# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python2.7(wsgiref.simple_server) unzip
# END SourceDeps(oneline)
%define oldname python-webob1.1
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?py2ver: %global py2ver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname webob

Name:           python-module-webob1.1
Summary:        WSGI request and response object
Version:        1.1.1
Release:        alt1_17
License:        MIT
Group:          System/Libraries
URL:            http://pythonpaste.org/webob/
Source0:        http://pypi.python.org/packages/source/W/WebOb/WebOb-%{version}.zip
# fix deprecation warning (rhbz#801312)
Patch0:         python-webob-1.1.1-deprecation-warning.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-webtest
Source44: import.info

%description
WebOb provides wrappers around the WSGI request environment, and an object to 
help create WSGI responses. The objects map much of the specified behavior of 
HTTP, including header parsing and accessors for other standard parts of the 
environment.

%prep
%setup -q -n WebOb-%{version}
%patch0 -p1

# Disable performance_test, which requires repoze.profile, which isn't
# in Fedora.
rm -f tests/performance_test.py


%build
%{__python} setup.py build bdist_egg


%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
easy_install-%{py2ver} -m --prefix %{buildroot}%{_usr} -Z dist/*.egg
chmod 0644 %{buildroot}%{python_sitelibdir_noarch}/WebOb-%{version}-*.egg/%{modname}/*.py


%check
PYTHONPATH=$(pwd) nosetests


%files
%doc docs/*
%{python_sitelibdir_noarch}/WebOb-%{version}-py%{py2ver}.egg/

%changelog
* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_16
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_12
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_10
- update to new release by fcimport

* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_6
- initial fc import

